<?php

namespace Slovocast\Feed;

use DOMDocument;
use Slovocast\Feed\FeedGeneratorInterface;
use Slovocast\Domain\Entity\Channel;

class FeedGenerator implements FeedGeneratorInterface
{
    protected DOMDocument $document;

    public function __construct()
    {
        $this->document = new DOMDocument();
    }

    /**
     * Reset the buffered DOMDocument object when building the Feed.
     */
    protected function reset(): void
    {
        $this->document = new DOMDocument();
        $rss = $this->document->createElement("rss");
        $rss->setAttribute('version', "2.0");
        $rss->setAttributeNS('xmlns', "atom", self::XMLNS_ATOM);
    }

    public function getRssElement(): DOMElement
    {
        $rss = $this->document->createElement("rss");
        $rss->setAttribute('version', "2.0");
    }

    public function generate(Channel $channel): DOMDocument 
    {

    }
}
