<?php

namespace Slovocast\Handler\Channel\Episode;

use Psr\Http\Message\UploadedFileInterface;
use Slovocast\Handler\Handler;
use Psr\Http\Message\ResponseInterface;
use Slovocast\Domain\Repository\Episode\EpisodeFileRepositoryInterface;

class UploadEpisodeFileAction extends Handler
{
    public function __construct(
        EpisodeFileRepositoryInterface $episodeFileRepository
    ) { }

    public function handle(): ResponseInterface
    {
        /** @var array<UploadedFileInterface> */
        $files = $this->request->getUploadedFiles();

        // move the files to storage

        return $this->json([ 'message' => 'Uploaded Episode file.' ]);
    }
}
